<?php

namespace App\Core\Service;

use App\Core\Repository\PermissionGroup\PermissionGroupRepository;

use Illuminate\Support\Facades\Log;
use Exception;

class PermissionGroupService
{
    private $permissionGroupRepository;

    public function __construct(PermissionGroupRepository $permissionGroupRepository)
    {
        $this->permissionGroupRepository   = $permissionGroupRepository;
    }

    public function findByCriteria($param)
    {
        return $this->permissionGroupRepository->findByCriteria($param);
    }

    public function findAll()
    {
        return $this->permissionGroupRepository->all();
    }
}
